Subject: Re: Question on OCSP response....

From: Peter Sylvester <[email-masked]>
Date: Mon, 2 Feb 2004 18:41:28 +0100 (MET)

Since version is always v1 in actual code, and the encoding is DER,
and assumed thet one only sees the Name choice, then a
syntax of

ResponseData ::= SEQUENCE {   
responderID          [1] EXPLICIT Name,  -- and not [1] ResponderID
producedAt               GeneralizedTime,  
responses                SEQUENCE OF SingleResponse,  
responseExtensions   [1] EXPLICIT Extensions OPTIONAL }

would also parse any actual response.

> Hi,
> 
> Could you post a base 64 or hex encoded response structure you that is 
> exhibiting this improper encoding to the group?
> 
> Thx,
> Bryan Pitcher
> 
> Kwok Lee wrote:
> 
> > Hi all,
> >
> > I am not sure it is the place for this question. If not, hopefully, 
> > someone can direct me to the right place.
> > Anyway, I am currently implementing a OCSP client, and I am using the 
> > openvalidation.org's public ocsp responder (ocsp.openvalidation.org) 
> > to verify my implementation. I am having a problem on the OCSP 
> > response I get from the responder. When I use dumpasn1 to decode the 
> > BasicOCSPResponse, it seems to me that the ResponseData is more like 
> > the following...
> >
> > ResponseData ::= SEQUENCE {   
> > responderID          [1] EXPLICIT ResponderID,  
> > producedAt               GeneralizedTime,  
> > responses                SEQUENCE OF SingleResponse,  
> > responseExtensions   [1] EXPLICIT Extensions OPTIONAL }
> >
> > instead of the one defined in the RFC 2560.
> >
> > ResponseData ::= SEQUENCE {   
> > version              [0] EXPLICIT Version DEFAULT v1,  
> > responderID              ResponderID,  
> > producedAt               GeneralizedTime,  
> > responses                SEQUENCE OF SingleResponse,  
> > responseExtensions   [1] EXPLICIT Extensions OPTIONAL }
> >
> > Did I miss something here ? Would someone mind to clarify that for me ?
> >
> > Appreciate and thanks for any help...
> > kc
> >
> 
> 
>